Package com.google.android.exoplayer2.testutil

## Class FakeExoMediaDrm.LicenseServer

- java.lang.Object
- - com.google.android.exoplayer2.testutil.FakeExoMediaDrm.LicenseServer

- All Implemented Interfaces:
    `MediaDrmCallback`
  Enclosing class:
    FakeExoMediaDrm

      public static class FakeExoMediaDrm.LicenseServer
      extends Object
      implements MediaDrmCallback

  An license server implementation to interact with `FakeExoMediaDrm`.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FakeExoMediaDrm.LicenseServer` | `allowingSchemeDatas​(List<DrmInitData.SchemeData>... schemeDatas)` |
    `byte[]` | `executeKeyRequest​(UUID uuid, ExoMediaDrm.KeyRequest request)` | Executes a key request.
    `byte[]` | `executeProvisionRequest​(UUID uuid, ExoMediaDrm.ProvisionRequest request)` | Executes a provisioning request.
    `ImmutableList<ImmutableList<DrmInitData.SchemeData>>` | `getReceivedSchemeDatas()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### allowingSchemeDatas

          @SafeVarargs
          public static FakeExoMediaDrm.LicenseServer allowingSchemeDatas​(List<DrmInitData.SchemeData>... schemeDatas)

    - #### getReceivedSchemeDatas

          public ImmutableList<ImmutableList<DrmInitData.SchemeData>> getReceivedSchemeDatas()

    - #### executeProvisionRequest

          public byte[] executeProvisionRequest​(UUID uuid,
                                                ExoMediaDrm.ProvisionRequest request)
                                         throws MediaDrmCallbackException

      Description copied from interface: `MediaDrmCallback`
      Executes a provisioning request.
      Specified by:
        `executeProvisionRequest` in interface `MediaDrmCallback`
      Parameters:
        `uuid` - The UUID of the content protection scheme.
        `request` - The request.
      Returns:
        The response data.
      Throws:
        `MediaDrmCallbackException` - If an error occurred executing the request.

    - #### executeKeyRequest

          public byte[] executeKeyRequest​(UUID uuid,
                                          ExoMediaDrm.KeyRequest request)
                                   throws MediaDrmCallbackException

      Description copied from interface: `MediaDrmCallback`
      Executes a key request.
      Specified by:
        `executeKeyRequest` in interface `MediaDrmCallback`
      Parameters:
        `uuid` - The UUID of the content protection scheme.
        `request` - The request.
      Returns:
        The response data.
      Throws:
        `MediaDrmCallbackException` - If an error occurred executing the request.